Bug 1105932 - TeXmacs: FTBFS in rawhide
Summary: TeXmacs: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: TeXmacs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 02:06 UTC by Dennis Gilmore
Modified: 2014-12-09 19:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-09 19:24:03 UTC


Attachments (Terms of Use)
build.log (164.53 KB, text/plain)
2014-06-09 02:06 UTC, Dennis Gilmore
no flags Details
root.log (110.84 KB, text/plain)
2014-06-09 02:06 UTC, Dennis Gilmore
no flags Details
state.log (1.08 KB, text/plain)
2014-06-09 02:07 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (1.33 KB, patch)
2014-06-12 18:51 UTC, Yaakov Selkowitz
no flags Details | Diff
Fix qreal-to-double casting error (2.37 KB, patch)
2014-08-20 03:10 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 02:06:53 UTC
Your package TeXmacs failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6932059

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 02:06:56 UTC
Created attachment 903396 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 02:06:58 UTC
Created attachment 903397 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 02:07:00 UTC
Created attachment 903398 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-12 18:51:26 UTC
Created attachment 908260 [details]
Patch for rawhide

configure was enabling ghostscript support based on presence of gs(1), but while it is a Requires, it was not a BR; it's not actually used during the build.  Patch for rawhide attached.

Comment 5 Jindrich Novy 2014-06-24 08:03:09 UTC
Yaakov, thanks for the patch. It's now applied along with the 1.99.1 update.

Comment 6 Yaakov Selkowitz 2014-07-16 21:58:57 UTC
Unfortunately 1.99.1 didn't build successfully:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7070145

Looks like you need to add an -lz.

Comment 7 Rex Dieter 2014-08-19 13:02:47 UTC
OK, comment #6 problem fixed

* Thu Jul 31 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.99.1-2
- Add missing -lz to link (#1105932)


Now, we're down to a failure on arm where the source code is making assumptions that qreal=double (so it fails on arm platforms where qreal is float).

Comment 8 Yaakov Selkowitz 2014-08-20 03:10:35 UTC
Created attachment 928592 [details]
Fix qreal-to-double casting error

AFAICS this commit is the culprit:

http://svn.savannah.gnu.org/viewvc?view=rev&root=texmacs&revision=7394

But this can't just be reverted entirely because other code now uses the 4-argument encode function.  The attached patch should fix this without losing the intended functionality, and built successfully in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7429414

Comment 9 Orion Poplawski 2014-12-09 19:24:03 UTC
I checked this patch in and built it.


Note You need to log in before you can comment on or make changes to this bug.